##
##  gcflow.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2021 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         gcflow
Summary:      GNU C Source Code Program Flow Analysis
URL:          http://www.gnu.org/software/cflow/
Vendor:       Sergey Poznyakoff
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Development
License:      GPL
Version:      1.7
Release:      20211231

#   list of sources
Source0:      http://ftp.gnu.org/gnu/cflow/cflow-%{version}.tar.bz2

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    The GNU cflow command reads the given program C source code and
    attempts to print a graph of the program's function call hierarchy
    to the standard output.

%track
    prog gcflow = {
        version   = %{version}
        url       = http://ftp.gnu.org/gnu/cflow/
        regex     = cflow-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n cflow-%{version}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --infodir=%{l_prefix}/info \
        --disable-nls
    %{l_make} %{l_mflags}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/info
    %{l_shtool} install -c -s -m 755 \
        src/cflow $RPM_BUILD_ROOT%{l_prefix}/bin/gcflow
    %{l_shtool} install -c -m 644 \
        doc/cflow.info $RPM_BUILD_ROOT%{l_prefix}/info/gcflow.info
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

